Page MenuHomePhabricator

Fatal error on File description for certain 'offset' values (TimestampException: Invalid timestamp)
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

Request ID: INSERT_ID

message
[{exception_id}] {exception_url}   Wikimedia\Timestamp\TimestampException from line 152 of /srv/mediawiki/php-1.32.0-wmf.19/vendor/wikimedia/timestamp/src/ConvertibleTimestamp.php: Wikimedia\Timestamp\ConvertibleTimestamp::setTimestamp: Invalid timestamp
stacktrace
#0 /srv/mediawiki/php-1.32.0-wmf.19/vendor/wikimedia/timestamp/src/ConvertibleTimestamp.php(69): Wikimedia\Timestamp\ConvertibleTimestamp->setTimestamp(string)
#1 /srv/mediawiki/php-1.32.0-wmf.19/includes/libs/rdbms/database/Database.php(3999): Wikimedia\Timestamp\ConvertibleTimestamp->__construct(string)
#2 /srv/mediawiki/php-1.32.0-wmf.19/includes/libs/rdbms/database/DBConnRef.php(49): Wikimedia\Rdbms\Database->timestamp(string)
#3 /srv/mediawiki/php-1.32.0-wmf.19/includes/libs/rdbms/database/DBConnRef.php(549): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#4 /srv/mediawiki/php-1.32.0-wmf.19/includes/filerepo/file/LocalFile.php(1181): Wikimedia\Rdbms\DBConnRef->timestamp(string)
#5 /srv/mediawiki/php-1.32.0-wmf.19/includes/page/ImageHistoryPseudoPager.php(159): LocalFile->getHistory(integer, string, NULL, boolean)
#6 /srv/mediawiki/php-1.32.0-wmf.19/includes/page/ImageHistoryPseudoPager.php(101): ImageHistoryPseudoPager->doQuery()
#7 /srv/mediawiki/php-1.32.0-wmf.19/includes/page/ImagePage.php(787): ImageHistoryPseudoPager->getBody()
#8 /srv/mediawiki/php-1.32.0-wmf.19/includes/page/ImagePage.php(170): ImagePage->imageHistory()
#9 /srv/mediawiki/php-1.32.0-wmf.19/includes/actions/ViewAction.php(68): ImagePage->view()
#10 /srv/mediawiki/php-1.32.0-wmf.19/includes/MediaWiki.php(501): ViewAction->show()
#11 /srv/mediawiki/php-1.32.0-wmf.19/includes/MediaWiki.php(294): MediaWiki->performAction(ImagePage, Title)
#12 /srv/mediawiki/php-1.32.0-wmf.19/includes/MediaWiki.php(868): MediaWiki->performRequest()
#13 /srv/mediawiki/php-1.32.0-wmf.19/includes/MediaWiki.php(525): MediaWiki->main()
#14 /srv/mediawiki/php-1.32.0-wmf.19/index.php(42): MediaWiki->run()

Notes

Example at https://ru.wikipedia.org/w/index.php?title=%D0%A4%D0%B0%D0%B9%D0%BB:EYM_2012_Map.svg&limit=250&offset=%20OR.

Similar to T201411 which has this issue on Special:Log.

Event Timeline

Krinkle triaged this task as Medium priority.Sep 19 2018, 2:43 AM
Krinkle created this task.
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptSep 19 2018, 2:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krinkle renamed this task from Fatal error on File description for certain 'offset' values to Fatal error on File description for certain 'offset' values (TimestampException: Invalid timestamp).Sep 19 2018, 2:44 AM
This comment was removed by Krinkle.

Change 462552 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] LocalFile: Protect against TimestampExceptions from bad user input

https://gerrit.wikimedia.org/r/462552

Change 462836 had a related patch set uploaded (by Krinkle; owner: Jforrester):
[mediawiki/core@wmf/1.32.0-wmf.23] ImageHistoryPseudoPager: Protect against TimestampException from bad user input

https://gerrit.wikimedia.org/r/462836

Change 462552 merged by jenkins-bot:
[mediawiki/core@master] ImageHistoryPseudoPager: Protect against TimestampException from bad user input

https://gerrit.wikimedia.org/r/462552

Change 462836 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.23] ImageHistoryPseudoPager: Protect against TimestampException from bad user input

https://gerrit.wikimedia.org/r/462836

Mentioned in SAL (#wikimedia-operations) [2018-09-26T03:42:05Z] <krinkle@deploy1001> Synchronized php-1.32.0-wmf.23/includes/page/ImageHistoryPseudoPager.php: T204796 - I17455fef0d8 (duration: 00m 58s)

Krinkle closed this task as Resolved.Sep 26 2018, 3:42 AM
Krinkle assigned this task to Jdforrester-WMF.
Krinkle removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM